using FastReport.Web.Application.Localizations;

using Microsoft.AspNetCore.Components.Web;

namespace FastReport.Web.Blazor.Components.Internal.ExportSettings
{
    public partial class XmlExportSettings : ExportSettingsBase
    {
        XmlExportSettingsLocalization localization;

        protected override void OnInitialized()
        {
            base.OnInitialized();
        }

        void OnWysiwygClick(MouseEventArgs e)
        {
            ChangeBoolValue("Wysiwyg");
        }

        void OnPageBreaksClick(MouseEventArgs e)
        {
            ChangeBoolValue("PageBreaks");
        }

        void OnDataOnlyClick(MouseEventArgs e)
        {
            ChangeBoolValue("DataOnly");
        }

        protected override void LocalizeForm()
        {
            var res = WebReport.Res;
            localization = new XmlExportSettingsLocalization(res);
        }
    }
}
